Package org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider

# Class JSPWikiLinkAttributeProviderFactory

java.lang.Object
com.vladsch.flexmark.html.IndependentAttributeProviderFactory
org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider.JSPWikiLinkAttributeProviderFactory

All Implemented Interfaces:
  `com.vladsch.flexmark.html.AttributeProviderFactory`, `com.vladsch.flexmark.util.dependency.Dependent`, `Function<com.vladsch.flexmark.html.renderer.LinkResolverContext,com.vladsch.flexmark.html.AttributeProvider>`

public class JSPWikiLinkAttributeProviderFactory extends com.vladsch.flexmark.html.IndependentAttributeProviderFactory
Simple `AttributeProviderFactory` to instantiate `JSPWikiLinkAttributeProvider`s.

## Constructor Summary

Constructors
Constructor
Description
`JSPWikiLinkAttributeProviderFactory(org.apache.wiki.api.core.Context wikiContext, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`

## Method Summary

Modifier and Type
Method
Description
`com.vladsch.flexmark.html.AttributeProvider`
`apply(com.vladsch.flexmark.html.renderer.LinkResolverContext context)`

### Methods inherited from class com.vladsch.flexmark.html.IndependentAttributeProviderFactory

`affectsGlobalScope, getAfterDependents, getBeforeDependents`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### JSPWikiLinkAttributeProviderFactory

public JSPWikiLinkAttributeProviderFactory(org.apache.wiki.api.core.Context wikiContext, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)

## Method Details

### apply

public com.vladsch.flexmark.html.AttributeProvider apply(com.vladsch.flexmark.html.renderer.LinkResolverContext context)

See Also:
  - `AttributeProviderFactory.apply(com.vladsch.flexmark.html.renderer.LinkResolverContext)`